## patroni 3.2.2

=== debian/changelog ===
patroni (3.2.2-2) unstable; urgency=medium

  * debian/tests/acceptance: Set ETCD_UNSUPPORTED_ARCH on s390x.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Feb 2024 11:37:46 +0100

patroni (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: Refreshed.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Jan 2024 13:39:47 +0100

patroni (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 Dec 2023 11:16:15 +0100

patroni (3.2.0-2) unstable; urgency=medium

  * debian/patches/sphinx_autodoc_fix.patch: New patch, fixes a build failure
    on older Ubuntu releases. Patch from Alexander Kukushkin in upstream issue
    #2934.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Nov 2023 17:53:59 +0100

patroni (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/control (Uploaders): Removed Adrian Vondendriesch.

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Oct 2023 21:39:03 +0200

patroni (3.1.2-2) unstable; urgency=medium

  * Install systemd units using dh_installsystemd only. Thanks to Helmut
    Grohne for the patch! (Closes: #1054184)
  * Drop ancient X-Python3-Version field.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 14:26:10 +0200

patroni (3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Sep 2023 21:22:41 +0200

patroni (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed. 
  * debian/control (Build-Depends): Added python3-sphinxcontrib.apidoc.
  * debian/patches/disable_sphinx_github_style.patch: New patch, disables the
    unpackaged "View on Github" sphinx extension.

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Sep 2023 13:44:08 +0200

patroni (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.

 -- Michael Banck <mbanck@debian.org>  Tue, 22 Aug 2023 10:51:49 +0200

=== debian/control ===
Source: patroni
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libjs-jquery,
 libjs-mathjax,
 libjs-underscore,
 pyflakes3,
 python3,
 python3-boto3,
 python3-cdiff,
 python3-click (>= 4.1),
 python3-consul (>= 0.7.0),
 python3-dateutil,
 python3-dnspython,
 python3-doc,
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-mccabe,
 python3-mock,
 python3-kubernetes,
 python3-prettytable (>= 0.7),
 python3-psutil,
 python3-psycopg2 (>= 2.6.1),
 python3-pycodestyle,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.apidoc,
 python3-tz,
 python3-tzlocal,
 python3-yaml,
 sphinx-common,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/patroni
Vcs-Git: https://salsa.debian.org/postgresql/patroni.git
Homepage: https://github.com/zalando/patroni

Package: patroni
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-psycopg2,
 python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo |
 python3-kubernetes | python3-pysyncobj, python3-cdiff
Recommends: iproute2
Suggests: postgresql, etcd-server | consul | zookeeperd, vip-manager, haproxy, patroni-doc
Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes
 Patroni is a template for a customized, high-availability PostgreSQL solution
 using Python and a distributed configuration store (ZooKeeper, etcd or
 Consul), or Kubernetes. It provides a REST API on each Postgres node of the
 cluster allowing for remote management and monitoring.

Package: patroni-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy
Description: PostgreSQL High Availability (documentation)
 Patroni is a template for a customized, high-availability PostgreSQL solution
 using Python and a distributed configuration store (ZooKeeper, etcd or
 Consul), or Kubernetes. It provides a REST API on each Postgres node of the
 cluster allowing for remote management and monitoring.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8
export READTHEDOCS=no

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	rm -rf docs/build features/output coverage.xml .coverage*
	rm -rf .cache .eggs dummy junit.xml .pybuild

override_dh_auto_build:
	dh_auto_build
	(cd docs; $(MAKE) html)

override_dh_installinit:
	# init script installed via debian/patroni.install
	dh_installinit -ppatroni --only-scripts

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc /usr/share/doc/patroni/html

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

=== debian/tests/control ===
# etc3
Features: test-name=acceptance-etcd3
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd,
 @,
Test-Command: debian/tests/acceptance etcd3
Restrictions: allow-stderr, flaky

# etcd
Features: test-name=acceptance-etcd-basic
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd features/basic_replication.feature
Restrictions: needs-root, allow-stderr

Features: test-name=acceptance-etcd
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd
Restrictions: needs-root, allow-stderr, flaky

# consul
Features: test-name=acceptance-consul
Depends:
 consul,
 moreutils,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-coverage,
 @,
Test-Command: debian/tests/acceptance consul
Restrictions: allow-stderr, flaky, skip-not-installable

# zookeeper
Features: test-name=acceptance-zookeeper
Depends:
 zookeeperd,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-kazoo,
 procps,
 @,
Test-Command: debian/tests/acceptance zookeeper "-e dcs_failsafe_mode"
Restrictions: needs-root, allow-stderr, flaky, skip-not-installable

# raft
Features: test-name=acceptance-raft
Depends:
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-pysyncobj,
 @,
Test-Command: debian/tests/acceptance raft
Restrictions: allow-stderr, flaky

# regression tests
Depends:
 python3-boto3,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pysyncobj,
 python3-pytest-cov,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 3.3.1

=== debian/changelog ===
patroni (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/disable_sphinx_github_style.patch: Likewise.
  * debian/patches/sphinx_autodoc_fix.patch: Likewise.
  * debian/control (Build-Depends): Removed python3-mock. (Closes: #1073846)
  * debian/tests/control: Removed consul acceptance test.

 -- Michael Banck <mbanck@debian.org>  Tue, 02 Jul 2024 14:54:31 +0200

patroni (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/tests/acceptance: Disable acceptance tests on PostgreSQL 10 and 11
    as they are currently failing, see upstream issue #3052.

 -- Michael Banck <mbanck@debian.org>  Thu, 18 Apr 2024 22:14:40 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-flake8,
  python3-kazoo,
  python3-mccabe,
- python3-mock,
  python3-kubernetes,
  python3-prettytable (>= 0.7),
  python3-psutil,

=== debian/tests/control ===
--- 
+++ 
@@ -35,19 +35,6 @@
  @,
 Test-Command: debian/tests/acceptance etcd
 Restrictions: needs-root, allow-stderr, flaky
-
-# consul
-Features: test-name=acceptance-consul
-Depends:
- consul,
- moreutils,
- postgresql,
- python3-behave,
- python3-consul (>= 0.7.0),
- python3-coverage,
- @,
-Test-Command: debian/tests/acceptance consul
-Restrictions: allow-stderr, flaky, skip-not-installable
 
 # zookeeper
 Features: test-name=acceptance-zookeeper

## patroni 3.3.2

=== debian/changelog ===
patroni (3.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 30 Aug 2024 17:06:23 +0200

## patroni 3.3.5

=== debian/changelog ===
patroni (3.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/py-consul.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2025 15:36:24 +0100

patroni (4.0.4-2) experimental; urgency=medium

  * debian/patches/replslot-cluster-type-attribute.patch: New patch, adds
    "cluster-type" as (optional) attribute for permanent replication slots,
    taken from upstream commit 578dc39.

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Dec 2024 14:07:14 +0100

patroni (4.0.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/requirements_cdiff.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/py-consul.patch: Removed, no longer needed.
  * fix-python-consul2-compatibility.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Nov 2024 20:20:40 +0100

patroni (4.0.3-2) experimental; urgency=medium

  * debian/patches/fix-python-consul2-compatibility.patch: New patch, fixes
    compatibility with python-consul2, taken from upstream pull-request #3215.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 Nov 2024 10:29:34 +0100

patroni (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/offline_intersphinx.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise.
  * debian/patches/py-consul.patch: New patch, adds compatibility with
    py-consul. (Closes: #1083027)

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Nov 2024 17:28:40 +0100

patroni (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.

 -- Michael Banck <mbanck@debian.org>  Wed, 30 Oct 2024 09:30:50 +0100

patroni (4.0.2-1) experimental; urgency=medium

  * New upstream version 4.0.2.
  * autopkgtest_pycache.patch, sphinx_fix_build.patch: Applied upstream.
  * B-D on python3-pysyncobj.
  * Remove docs/modules/ on clean.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Oct 2024 16:23:53 +0200

patroni (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * autopkgtest_pycache.patch: New patch, avoids autopkgtest failures when run
    as root, taken from upstream commit 8e1f7848.
  * debian/patches/sphinx_fix_build.patch: New patch, fixes the sphinx
    documentation build on older releases.

 -- Michael Banck <mbanck@debian.org>  Thu, 12 Sep 2024 15:20:44 +0200

patroni (4.0.0-1) experimental; urgency=medium

  * New upstream major release. New features include:
   + Removal of the term 'master' in favour of 'primary' or 'leader'
   + Quorum-based failover
   + Configurable retention of members' replication slots
   + Compatibility with PostgreSQL 17
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 02 Sep 2024 14:39:22 +0200

## patroni 4.0.1

=== debian/changelog ===
patroni (4.0.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 12 Sep 2024 15:20:44 +0200

## patroni 4.0.4

=== debian/changelog ===
patroni (4.0.4-7) unstable; urgency=medium

  * debian/tests/test: Remove data directory after test run.

 -- Michael Banck <mbanck@debian.org>  Wed, 12 Feb 2025 18:39:35 +0100

patroni (4.0.4-6) unstable; urgency=medium

  * debian/tests/test: Run "python3 -m pytest tests" instead of "python3
    setup.py test".
  * debian/rules (override_dh_auto_test): Run pytests at build time as well.
  * debian/control (Build-Depends): Replaced python3-cdiff with python3-ydiff.
  * debian/control (Build-Depends): Removed python3-setuptools.
  * debian/patches/requirements_cdiff.patch: Removed, no longer needed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise.
  * debian/patches/sphinx_autodoc_fix.patch: Likewise.
  * debian/patches/python3.13_support.patch: Refreshed.
  * debian/patches/reproducible_docs.patch: Likewise.
  * debian/patches/fix_bug_slot_former_leader_not_retained_on_failover.patch:
    New patch, fixes a bug where replication slots for a former leader are not
    retained on failover, taken from upstream commit 0bb12473.
  * debian/pg_clonecluster_patroni: Fix deletion of existing instance, thanks
    to Ben Harris (Closes: #1094487).

 -- Michael Banck <mbanck@debian.org>  Tue, 11 Feb 2025 12:20:05 +0100

patroni (4.0.4-5) unstable; urgency=medium

  * Upload to unstable (Closes: #1093605).

 -- Michael Banck <mbanck@debian.org>  Wed, 22 Jan 2025 21:36:33 +0100

patroni (4.0.4-4) experimental; urgency=medium

  * debian/tests/control: Run regression tests first.
  * debian/patches/python3.13_support.patch: New patch, fixes the regression
    test suite for python3.13, taken from parts of upstream pull request #3246.

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Jan 2025 21:25:31 +0100

patroni (4.0.4-3) experimental; urgency=medium

  * debian/patches/reproducible_docs.patch: New patch, adds the
    autodoc_preserve_defaults sphinx autodoc configuration parameter in order
    to make the documentation build (more) reproducible, thanks to James
    Addison (Closes: #1066015).

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2025 15:58:00 +0100

patroni (4.0.2-2) experimental; urgency=medium

  * debian/patches/py-consul.patch: New patch, adds compatibility with
    py-consul. (Closes: #1083027)

 -- Michael Banck <mbanck@debian.org>  Mon, 28 Oct 2024 09:53:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  pyflakes3,
  python3,
  python3-boto3,
- python3-cdiff,
  python3-click (>= 4.1),
  python3-consul (>= 0.7.0),
  python3-dateutil,
@@ -28,15 +27,16 @@
  python3-psutil,
  python3-psycopg2 (>= 2.6.1),
  python3-pycodestyle,
+ python3-pysyncobj,
  python3-pytest,
  python3-pytest-cov,
- python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.apidoc,
  python3-tz,
  python3-tzlocal,
  python3-yaml,
+ python3-ydiff,
  sphinx-common,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,18 @@
+# regression tests
+Depends:
+ python3-boto3,
+ python3-consul (>= 0.7.0),
+ python3-etcd (>= 0.4.3),
+ python3-flake8,
+ python3-kazoo,
+ python3-kubernetes,
+ python3-mock,
+ python3-pysyncobj,
+ python3-pytest-cov,
+ @,
+Tests: test
+Restrictions: allow-stderr
+
 # etc3
 Features: test-name=acceptance-etcd3
 Depends:
@@ -61,18 +76,3 @@
  @,
 Test-Command: debian/tests/acceptance raft
 Restrictions: allow-stderr, flaky
-
-# regression tests
-Depends:
- python3-boto3,
- python3-consul (>= 0.7.0),
- python3-etcd (>= 0.4.3),
- python3-flake8,
- python3-kazoo,
- python3-kubernetes,
- python3-mock,
- python3-pysyncobj,
- python3-pytest-cov,
- @,
-Tests: test
-Restrictions: allow-stderr

## patroni 4.0.5

=== requirements.txt ===
urllib3>=1.19.1,!=1.21
boto3
PyYAML
kazoo>=1.3.1
python-etcd>=0.4.3,<0.5
py-consul>=1.1.1
click>=4.1
prettytable>=0.7
python-dateutil
pysyncobj>=0.3.8
cryptography>=1.4
psutil>=2.0.0
ydiff>=1.2.0,<1.5,!=1.4.0,!=1.4.1
python-json-logger>=2.0.2

=== debian/changelog ===
patroni (4.0.5-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Switch python3-ydiff for old python3-cdiff.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 18 Mar 2025 11:01:27 +0100

patroni (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.
  * debian/patches/fix_conffile_perms.patch: Likewise.
  * debian/patches/python3.13_support.patch: Removed, included upstream.
  * debian/patches/fix_bug_slot_former_leader_not_retained_on_failover.patch:
    Likewise.
  * debian/patches/cleanup_after_unittests.patch: Likewise.
  * debian/tests/control: Readd needs-root to etcd/ectd3 acceptance tests.
  * debian/tests/control: Run only basic_replication acceptance tests for all
    DCS types except etcd3. 

 -- Michael Banck <mbanck@debian.org>  Tue, 18 Mar 2025 11:01:27 +0100

patroni (4.0.4-8) unstable; urgency=medium

  * debian/tests/acceptance: Make sure subsequent runs of the acceptance tests
    do not fail due to left-over directories or files with different owners.
  * debian/tests/control: Remove needs-root from etcd acceptance tests.
  * debian/tests/control: Switch basic_replication acceptance test from etcd to
    etcd3.
  * debian/tests/control: Remove flaky from all acceptance tests except
    zookeeper.
  * debian/control (Build-Depends): Added python3-setuptools (Closes:
    #1095776).
  * debian/patches/fix_conffile_perms.patch: New patch, fixes the
    postgresql.conf permissions, taken from upstream commit a3c772d (Closes:
    #1062204).
  * debian/patches/cleanup_after_unittests.patch: New patch, cleans up leftover
    data directories after running the unit tests, taken from upstream commit
    626e81d.

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Mar 2025 14:47:32 +0100

=== debian/control ===
--- 
+++ 
@@ -30,13 +30,14 @@
  python3-pysyncobj,
  python3-pytest,
  python3-pytest-cov,
+ python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.apidoc,
  python3-tz,
  python3-tzlocal,
  python3-yaml,
- python3-ydiff,
+ python3-cdiff,
  sphinx-common,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## patroni 4.0.6

=== debian/changelog ===
patroni (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_conffile_perms.patch: Removed, included upstream.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 Jun 2025 08:52:19 +0200

=== debian/tests/control ===
# regression tests
Depends:
 python3-boto3,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pysyncobj,
 python3-pytest-cov,
 @,
Tests: test
Restrictions: allow-stderr

# etc3
Features: test-name=acceptance-etcd3-basic
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd3 features/basic_replication.feature
# needs-root is required in order to stop a possibly already running etcd
Restrictions: needs-root, allow-stderr

Features: test-name=acceptance-etcd3-full
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd3
# needs-root is required in order to stop a possibly already running etcd
Restrictions: needs-root, allow-stderr

# etcd
Features: test-name=acceptance-etcd-basic
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd features/basic_replication.feature
# needs-root is required in order to stop a possibly already running etcd
Restrictions: needs-root, allow-stderr

# zookeeper
Features: test-name=acceptance-zookeeper-basic
Depends:
 zookeeperd,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-kazoo,
 procps,
 @,
Test-Command: debian/tests/acceptance zookeeper features/basic_replication.feature
Restrictions: needs-root, allow-stderr, flaky, skip-not-installable

# raft
Features: test-name=acceptance-raft-basic
Depends:
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-pysyncobj,
 @,
Test-Command: debian/tests/acceptance raft features/basic_replication.feature
Restrictions: allow-stderr

## patroni 4.0.7

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,10 @@
 PyYAML
 kazoo>=1.3.1
 python-etcd>=0.4.3,<0.5
-py-consul>=1.1.1
-click>=4.1
+py-consul>=1.1.1,<1.5.4; python_version=="3.6"
+py-consul>=1.1.1,<1.6.0; python_version>"3.6" and python_version<"3.9"
+py-consul>=1.1.1; python_version>="3.9"
+click>=5.0
 prettytable>=0.7
 python-dateutil
 pysyncobj>=0.3.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Patroni
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
patroni (4.0.7-3~deb13u1) trixie; urgency=medium

  * Upload to stable.

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Oct 2025 14:55:24 +0200

patroni (4.0.7-3) unstable; urgency=medium

  * debian/tests/acceptance: Really make the changes from the last revision
    this time.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2025 15:01:53 +0200

patroni (4.0.7-2) unstable; urgency=medium

  * debian/tests/acceptance: Further changes to stopping etcd. If the init
    script exists, use it. Otherwise, if systemd is available, use that. If
    neither are available, do not try to stop etcd.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2025 14:20:40 +0200

patroni (4.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/replslot-cluster-type-attribute.patch: Likewise.
  * debian/tests/acceptance: Only stop etcd if init script exists.

 -- Michael Banck <mbanck@debian.org>  Wed, 24 Sep 2025 16:58:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,4 @@
 	dh_sphinxdoc /usr/share/doc/patroni/html
 
 override_dh_auto_test:
-	# nothing to do here, see debian/tests/* instead
+	python3 -m pytest tests

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/patroni-$1\.tar\.gz/ \
  https://github.com/zalando/patroni/tags .*/v?(\d\S+)\.tar\.gz

## patroni 4.1.0

=== debian/changelog ===
patroni (4.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (Build-Depends): Removed python3-tz (Closes: #1121861).
  * debian/tests/control: Remove python3-mock from autopkgtest dependencies
    (Closes: #1118481).

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Dec 2025 17:12:55 +0100

patroni (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/patches/acceptance_tests_system_patroni.patch: Likewise.
  * debian/patches/replslot-cluster-type-attribute.patch: Removed, included
    upstream.
  * debian/config.yml.in: Remove workaround with empty superuser password, no
    longer needed (and harmful if using the internal default bootstrapping
    method).

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Oct 2025 15:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,9 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.apidoc,
- python3-tz,
  python3-tzlocal,
  python3-yaml,
- python3-cdiff,
+ python3-ydiff,
  sphinx-common,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  python3-flake8,
  python3-kazoo,
  python3-kubernetes,
- python3-mock,
  python3-pysyncobj,
  python3-pytest-cov,
  @,
